| Home | Libraries | People | FAQ | More

##### basic_datagram_socket::basic_datagram_socket (3 of 4 overloads)

Construct a `basic_datagram_socket`, opening it and binding it to the given local endpoint.

    basic_datagram_socket(
        boost::asio::io_service & io_service,
        const endpoint_type & endpoint);

This constructor creates a datagram socket and automatically opens it bound to the specified endpoint on the local machine. The protocol used is the protocol associated with the given endpoint.

###### Parameters

io_service

  The `io_service` object that the datagram socket will use to dispatch handlers for any asynchronous operations performed on the socket.

endpoint

  An endpoint on the local machine to which the datagram socket will be bound.

###### Exceptions

boost::system::system_error

  Thrown on failure.